Installing VirtualBox on Fedora 15 (Lovelock) Host

Update 16 Nov 2011

Hi, check out my new post Install VirtualBox on Fedora 16 Host. The procedure is very much the same, you can use the instructions below for Fedora 15 and Fedora 16.

Installing VirtualBox on Fedora 15 Host System Using YUM

$sudo cp virtualbox.repo /etc/yum.repos.d/
  • Install dkms using the command
$sudo yum install dkms
  • Unlike the previous practice, now you need to specify the version number in order to install VirtualBox. This allows user flexibility to install the previous version of VirtualBox instead of the latest version. The following versions are available:
  • virtualbox-4.0 (latest)
  • virtualbox-3.2
  • virtualbox-3.1
  • virtualbox-3.0
  • virtualbox-2.2
  • virtualbox-2.1
  • virtualbox-2.0
  • To install the latest version of VirtualBox use the command
$sudo yum install virtualbox-4.0

Automation

An installation script was created to automatically configures the repository file and install VirtualBox 4.0. If you would like to use earlier version of VirtualBox, please modify the script yourself. You can download the script at FC15-vbox-install-noarch

***End***

Advertisements

6 Responses to Installing VirtualBox on Fedora 15 (Lovelock) Host

  1. Oliver says:

    Nice post

  2. Anonymous says:

    An error message Shows

    Usage: /etc/init.d/vboxdrv {start|stop|stop_vms|restart|force-reload|status|setup}
    [root@manilal manilal]# /etc/init.d/vboxdrv setup
    Stopping VirtualBox kernel modules [ OK ]
    Uninstalling old VirtualBox DKMS kernel modules [ OK ]
    Trying to register the VirtualBox kernel modules using DKMSError! echo
    Your kernel headers for kernel 2.6.38.6-26.rc1.fc15.i686.PAE cannot be found at
    /lib/modules/2.6.38.6-26.rc1.fc15.i686.PAE/build or /lib/modules/2.6.38.6-26.rc1.fc15.i686.PAE/source.
    [FAILED]
    (Failed, trying without DKMS)
    Recompiling VirtualBox kernel modules [FAILED]
    (Look at /var/log/vbox-install.log to find out what went wrong)

    • technozeal says:

      It seems that you have missing headers try the following command: $sudo yum install -y gcc kernel-devel

  3. Anonymous says:

    even i got the same error!!!!!!!!!
    $sudo yum install -y gcc kernel-devel —–> this
    command also din work for me it says
    Package gcc-4.6.1-9.fc15.i686 already installed and latest version
    Package kernel-devel-2.6.41.1-1.fc15.i686 already installed and latest version
    Nothing to do

  4. George Wood says:

    Firstly:

    $sudo yum install virtualbox-4.0 should read
    $sudo yum install VirtualBox-4.0

    And I also get the same error message :

    Your kernel headers for kernel 2.6.41.1-1.fc15.i686.PAE cannot be found at
    /lib/modules/2.6.41.1-1.fc15.i686.PAE/build or /lib/modules/2.6.41.1-1.fc15.i686.PAE/source.

    Package kernel-devel-2.6.41.1-1.fc15.i686 already installed and latest version
    😦

%d bloggers like this: